"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.useDrag = useDrag;
var _useRegisteredDragSourceJs = require("./useRegisteredDragSource.js");
var _useOptionalFactoryJs = require("../useOptionalFactory.js");
var _useDragSourceMonitorJs = require("./useDragSourceMonitor.js");
var _useDragSourceConnectorJs = require("./useDragSourceConnector.js");
var _useCollectedPropsJs = require("../useCollectedProps.js");
var _connectorsJs = require("./connectors.js");
var _invariant = require("@react-dnd/invariant");
var _vue = require("vue");
function useDrag(specArg) {
    var spec = (0, _useOptionalFactoryJs).useOptionalFactory(specArg);
    (0, _invariant).invariant(!(0, _vue).unref(spec).begin, "useDrag::spec.begin was deprecated in v14. Replace spec.begin() with spec.item(). (see more here - https://react-dnd.github.io/react-dnd/docs/api/use-drag)");
    var monitor = (0, _useDragSourceMonitorJs).useDragSourceMonitor();
    var connector = (0, _useDragSourceConnectorJs).useDragSourceConnector((0, _vue).computed(function() {
        return (0, _vue).unref(spec).options;
    }), (0, _vue).computed(function() {
        return (0, _vue).unref(spec).previewOptions;
    }));
    (0, _useRegisteredDragSourceJs).useRegisteredDragSource(spec, monitor, connector);
    return [
        (0, _useCollectedPropsJs).useCollectedProps((0, _vue).computed(function() {
            return (0, _vue).unref(spec).collect || function() {
                return {};
            };
        }), monitor, connector),
        (0, _connectorsJs).useConnectDragSource(connector),
        (0, _connectorsJs).useConnectDragPreview(connector), 
    ];
}
