"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.useDropTargetConnector = useDropTargetConnector;
var _internals = require("../../internals");
var _useDragDropManagerJs = require("../useDragDropManager.js");
var _vue = require("vue");
function useDropTargetConnector(options) {
    var manager = (0, _useDragDropManagerJs).useDragDropManager();
    var connector = (0, _vue).computed(function() {
        return new _internals.TargetConnector((0, _vue).unref(manager).getBackend());
    });
    (0, _vue).watchEffect(function(onCleanup) {
        connector.value.dropTargetOptions = (0, _vue).unref(options) || null;
        connector.value.reconnect();
        onCleanup(function() {
            return connector.value.disconnectDropTarget();
        });
    });
    return connector;
}
