import type { Identifier } from 'dnd-core';
import type { DropTargetHookSpec } from '../types.js';
import { MaybeRef } from '../../types/utils';
import { ComputedRef } from 'vue';
/**
 * Internal utility hook to get an array-version of spec.accept.
 * The main utility here is that we aren't creating a new array on every render if a non-array spec.accept is passed in.
 * @param spec
 */
export declare function useAccept<O, R, P>(spec: MaybeRef<DropTargetHookSpec<O, R, P>>): ComputedRef<Identifier[]>;
